<?php

require_once 'BuscarCaminhoXml.php';

$diretorioInicial = '../xml/arquivos/xml'; // Substitua pelo caminho do diretório raiz
$nomeArquivoProcurado = '26230832928902000189550010000091371000091388.xml'; // Substitua pelo nome do arquivo desejado

$caminhoEncontrado = buscarArquivo($diretorioInicial, $nomeArquivoProcurado);

$xml = simplexml_load_file($caminhoEncontrado);
if ($xml) {
    $valorTotal = 0.0;
    
    foreach ($xml->NFe->infNFe->det as $det) {
        $valorTotal += (float) $det->prod->vLiq;
    }
    
    $precoXml = $valorTotal;
    echo $precoXml;
}